Subject: Re: git-svn messing with timezones

From: Seth Falcon <[email-masked]>
Date: Wed, 27 Feb 2008 08:21:09 -0800

Tim Stoakes <[email-masked]> writes:
> Ah indeed, `git-svn log` does show the correct TZ. How annoying!
>
> My workflow is to work with native git as much as possible, and interact
> with svn as little as is required. This means I have to remember to run
> one command to see sane logs of git commits that happen to also be svn
> commits, and another one for the normal git commits. There is no
> transparency here.

You might find it convenient to set an alias in ~/gitconfig like:

    [alias]
            llog = log --date=local

The you can review commits in your TZ via 'git llog'.

+ seth

-- 
Seth Falcon | [email-masked] | blog: http://userprimary.net/user/